Bug 172338 - orinoco_pci broken in kernel-2.6.14-1633_FC4
orinoco_pci broken in kernel-2.6.14-1633_FC4
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-02 18:11 EST by Thomas M Steenholdt
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-09 14:34:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas M Steenholdt 2005-11-02 18:11:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051010 Fedora/1.5-0.5.0.beta2.tmus Firefox/1.4.1

Description of problem:
I don't know exactly why, but it seems to spew a load of errors, can't associate with AP and so on and so forth... I'm on a ThinkPad T30 (2366JBG).

These are some of the errors i'm getting...
Nov  2 10:02:58 client kernel: hermes @ f883c000: Card removed while waiting for command 0x0011 completion.
Nov  2 10:02:58 client kernel: hermes @ f883c000: Card removed while issuing command 0x0021.
Nov  2 10:02:58 client kernel: hermes @ f883c000: Card removed while issuing command 0x0011.
Nov  2 10:02:59 client last message repeated XXXXX times

Do they mean anything to you?
It all works fairly well on 2.6.13-1.1532_FC4

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Every time may be an overstatement - but I have yet to see it working
1. boot the _1633 kernel mentioned
2. ifup the orinoco device
3. problems

Actual Results:  problems

Expected Results:  smooth sailing

Additional info:

Let me know if there's something i can try, provide you with or anything
Comment 1 Thomas M Steenholdt 2005-11-10 08:41:11 EST
Aparrently this works a lot better with the 0.15rc3 driver (from
www.nongnu.org/orinoco). Any chance we can include this (or will we simply have
to wait for upstream inclusion)
Comment 2 Dave Jones 2005-11-10 14:02:19 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Thomas M Steenholdt 2005-11-10 14:42:34 EST
My last post was actually after installing the 2.6.14-1.1637_FC4 kernel (I
should have mentoined that).

I try to leave my network interfaces in "control" of ifplugd, which may or may
not be a good idea. My feeling is that perhaps ifplugd may be a little hard on
an already broken driver, which causes the errors to happen earlier than
otherwise. The problem STILL exists when disabling ifplugd altogether.

So i downloaded the standalone version of the latest orinoco driver from
http://www.nongnu.org/orinoco and make install'ed that and afterwards,
controlled by ifplugd or not, things just seem to work - No errors at all so far.
Comment 4 John W. Linville 2005-12-02 13:24:31 EST
The Fedora-netdev kernels are available here: 
Please give those a try, and post the results here...thanks! 
Comment 5 John W. Linville 2006-01-09 14:34:25 EST
Closed due to lack of response.  Please reopen when the requested information 
becomes available...thanks! 
Comment 6 Thomas M Steenholdt 2006-01-09 15:05:10 EST
Sorry for the lack of response, I find the netdev kernel to be a very moving
target, so what's true this week, may not be tru the next. So in the absence of
a specific release to test, where somebody might have had an idea that the
orinoco driver had been updated, I've been working around the problem with the
latest base FC4 kernels instead...

That out of the way, I've settled for manual up/down of the interface, which
seems to eliminate a lot of my problems.

If/When I run into these problems again, I will do more agressive testing on the
netdev kernels.


Note You need to log in before you can comment on or make changes to this bug.